IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/48
Addresses2^80
/64 networks65,536
- Network
2c19:ec00:c8ae::/48- First address
2c19:ec00:c8ae::- Last address
2c19:ec00:c8ae:ffff:ffff:ffff:ffff:ffff- Addresses
- 1,208,925,819,614,629,174,706,176 (2^80)
- /64 networks (LANs)
- 65,536
- Full form
2c19:ec00:c8ae:0000:0000:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
e.a.8.c.0.0.c.e.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:ec00:c8ae::/48 makes 256 subnets of /56.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:ec00:c8ae::/56 | 2c19:ec00:c8ae:ff:ffff:ffff:ffff:ffff |
| 2 | 2c19:ec00:c8ae:100::/56 | 2c19:ec00:c8ae:1ff:ffff:ffff:ffff:ffff |
| 3 | 2c19:ec00:c8ae:200::/56 | 2c19:ec00:c8ae:2ff:ffff:ffff:ffff:ffff |
| 4 | 2c19:ec00:c8ae:300::/56 | 2c19:ec00:c8ae:3ff:ffff:ffff:ffff:ffff |
| 5 | 2c19:ec00:c8ae:400::/56 | 2c19:ec00:c8ae:4ff:ffff:ffff:ffff:ffff |
| 6 | 2c19:ec00:c8ae:500::/56 | 2c19:ec00:c8ae:5ff:ffff:ffff:ffff:ffff |
| 7 | 2c19:ec00:c8ae:600::/56 | 2c19:ec00:c8ae:6ff:ffff:ffff:ffff:ffff |
| 8 | 2c19:ec00:c8ae:700::/56 | 2c19:ec00:c8ae:7ff:ffff:ffff:ffff:ffff |
| 9 | 2c19:ec00:c8ae:800::/56 | 2c19:ec00:c8ae:8ff:ffff:ffff:ffff:ffff |
| 10 | 2c19:ec00:c8ae:900::/56 | 2c19:ec00:c8ae:9ff:ffff:ffff:ffff:ffff |
| 11 | 2c19:ec00:c8ae:a00::/56 | 2c19:ec00:c8ae:aff:ffff:ffff:ffff:ffff |
| 12 | 2c19:ec00:c8ae:b00::/56 | 2c19:ec00:c8ae:bff:ffff:ffff:ffff:ffff |
| 13 | 2c19:ec00:c8ae:c00::/56 | 2c19:ec00:c8ae:cff:ffff:ffff:ffff:ffff |
| 14 | 2c19:ec00:c8ae:d00::/56 | 2c19:ec00:c8ae:dff:ffff:ffff:ffff:ffff |
| 15 | 2c19:ec00:c8ae:e00::/56 | 2c19:ec00:c8ae:eff:ffff:ffff:ffff:ffff |
| 16 | 2c19:ec00:c8ae:f00::/56 | 2c19:ec00:c8ae:fff:ffff:ffff:ffff:ffff |
| 17 | 2c19:ec00:c8ae:1000::/56 | 2c19:ec00:c8ae:10ff:ffff:ffff:ffff:ffff |
| 18 | 2c19:ec00:c8ae:1100::/56 | 2c19:ec00:c8ae:11ff:ffff:ffff:ffff:ffff |
| 19 | 2c19:ec00:c8ae:1200::/56 | 2c19:ec00:c8ae:12ff:ffff:ffff:ffff:ffff |
| 20 | 2c19:ec00:c8ae:1300::/56 | 2c19:ec00:c8ae:13ff:ffff:ffff:ffff:ffff |
| 21 | 2c19:ec00:c8ae:1400::/56 | 2c19:ec00:c8ae:14ff:ffff:ffff:ffff:ffff |
| 22 | 2c19:ec00:c8ae:1500::/56 | 2c19:ec00:c8ae:15ff:ffff:ffff:ffff:ffff |
| 23 | 2c19:ec00:c8ae:1600::/56 | 2c19:ec00:c8ae:16ff:ffff:ffff:ffff:ffff |
| 24 | 2c19:ec00:c8ae:1700::/56 | 2c19:ec00:c8ae:17ff:ffff:ffff:ffff:ffff |
| 25 | 2c19:ec00:c8ae:1800::/56 | 2c19:ec00:c8ae:18ff:ffff:ffff:ffff:ffff |
| 26 | 2c19:ec00:c8ae:1900::/56 | 2c19:ec00:c8ae:19ff:ffff:ffff:ffff:ffff |
| 27 | 2c19:ec00:c8ae:1a00::/56 | 2c19:ec00:c8ae:1aff:ffff:ffff:ffff:ffff |
| 28 | 2c19:ec00:c8ae:1b00::/56 | 2c19:ec00:c8ae:1bff:ffff:ffff:ffff:ffff |
| 29 | 2c19:ec00:c8ae:1c00::/56 | 2c19:ec00:c8ae:1cff:ffff:ffff:ffff:ffff |
| 30 | 2c19:ec00:c8ae:1d00::/56 | 2c19:ec00:c8ae:1dff:ffff:ffff:ffff:ffff |
| 31 | 2c19:ec00:c8ae:1e00::/56 | 2c19:ec00:c8ae:1eff:ffff:ffff:ffff:ffff |
| 32 | 2c19:ec00:c8ae:1f00::/56 | 2c19:ec00:c8ae:1fff:ffff:ffff:ffff:ffff |
| 33 | 2c19:ec00:c8ae:2000::/56 | 2c19:ec00:c8ae:20ff:ffff:ffff:ffff:ffff |
| 34 | 2c19:ec00:c8ae:2100::/56 | 2c19:ec00:c8ae:21ff:ffff:ffff:ffff:ffff |
| 35 | 2c19:ec00:c8ae:2200::/56 | 2c19:ec00:c8ae:22ff:ffff:ffff:ffff:ffff |
| 36 | 2c19:ec00:c8ae:2300::/56 | 2c19:ec00:c8ae:23ff:ffff:ffff:ffff:ffff |
| 37 | 2c19:ec00:c8ae:2400::/56 | 2c19:ec00:c8ae:24ff:ffff:ffff:ffff:ffff |
| 38 | 2c19:ec00:c8ae:2500::/56 | 2c19:ec00:c8ae:25ff:ffff:ffff:ffff:ffff |
| 39 | 2c19:ec00:c8ae:2600::/56 | 2c19:ec00:c8ae:26ff:ffff:ffff:ffff:ffff |
| 40 | 2c19:ec00:c8ae:2700::/56 | 2c19:ec00:c8ae:27ff:ffff:ffff:ffff:ffff |
| 41 | 2c19:ec00:c8ae:2800::/56 | 2c19:ec00:c8ae:28ff:ffff:ffff:ffff:ffff |
| 42 | 2c19:ec00:c8ae:2900::/56 | 2c19:ec00:c8ae:29ff:ffff:ffff:ffff:ffff |
| 43 | 2c19:ec00:c8ae:2a00::/56 | 2c19:ec00:c8ae:2aff:ffff:ffff:ffff:ffff |
| 44 | 2c19:ec00:c8ae:2b00::/56 | 2c19:ec00:c8ae:2bff:ffff:ffff:ffff:ffff |
| 45 | 2c19:ec00:c8ae:2c00::/56 | 2c19:ec00:c8ae:2cff:ffff:ffff:ffff:ffff |
| 46 | 2c19:ec00:c8ae:2d00::/56 | 2c19:ec00:c8ae:2dff:ffff:ffff:ffff:ffff |
| 47 | 2c19:ec00:c8ae:2e00::/56 | 2c19:ec00:c8ae:2eff:ffff:ffff:ffff:ffff |
| 48 | 2c19:ec00:c8ae:2f00::/56 | 2c19:ec00:c8ae:2fff:ffff:ffff:ffff:ffff |
| 49 | 2c19:ec00:c8ae:3000::/56 | 2c19:ec00:c8ae:30ff:ffff:ffff:ffff:ffff |
| 50 | 2c19:ec00:c8ae:3100::/56 | 2c19:ec00:c8ae:31ff:ffff:ffff:ffff:ffff |
| 51 | 2c19:ec00:c8ae:3200::/56 | 2c19:ec00:c8ae:32ff:ffff:ffff:ffff:ffff |
| 52 | 2c19:ec00:c8ae:3300::/56 | 2c19:ec00:c8ae:33ff:ffff:ffff:ffff:ffff |
| 53 | 2c19:ec00:c8ae:3400::/56 | 2c19:ec00:c8ae:34ff:ffff:ffff:ffff:ffff |
| 54 | 2c19:ec00:c8ae:3500::/56 | 2c19:ec00:c8ae:35ff:ffff:ffff:ffff:ffff |
| 55 | 2c19:ec00:c8ae:3600::/56 | 2c19:ec00:c8ae:36ff:ffff:ffff:ffff:ffff |
| 56 | 2c19:ec00:c8ae:3700::/56 | 2c19:ec00:c8ae:37ff:ffff:ffff:ffff:ffff |
| 57 | 2c19:ec00:c8ae:3800::/56 | 2c19:ec00:c8ae:38ff:ffff:ffff:ffff:ffff |
| 58 | 2c19:ec00:c8ae:3900::/56 | 2c19:ec00:c8ae:39ff:ffff:ffff:ffff:ffff |
| 59 | 2c19:ec00:c8ae:3a00::/56 | 2c19:ec00:c8ae:3aff:ffff:ffff:ffff:ffff |
| 60 | 2c19:ec00:c8ae:3b00::/56 | 2c19:ec00:c8ae:3bff:ffff:ffff:ffff:ffff |
| 61 | 2c19:ec00:c8ae:3c00::/56 | 2c19:ec00:c8ae:3cff:ffff:ffff:ffff:ffff |
| 62 | 2c19:ec00:c8ae:3d00::/56 | 2c19:ec00:c8ae:3dff:ffff:ffff:ffff:ffff |
| 63 | 2c19:ec00:c8ae:3e00::/56 | 2c19:ec00:c8ae:3eff:ffff:ffff:ffff:ffff |
| 64 | 2c19:ec00:c8ae:3f00::/56 | 2c19:ec00:c8ae:3fff:ffff:ffff:ffff:ffff |
| 65 | 2c19:ec00:c8ae:4000::/56 | 2c19:ec00:c8ae:40ff:ffff:ffff:ffff:ffff |
| 66 | 2c19:ec00:c8ae:4100::/56 | 2c19:ec00:c8ae:41ff:ffff:ffff:ffff:ffff |
| 67 | 2c19:ec00:c8ae:4200::/56 | 2c19:ec00:c8ae:42ff:ffff:ffff:ffff:ffff |
| 68 | 2c19:ec00:c8ae:4300::/56 | 2c19:ec00:c8ae:43ff:ffff:ffff:ffff:ffff |
| 69 | 2c19:ec00:c8ae:4400::/56 | 2c19:ec00:c8ae:44ff:ffff:ffff:ffff:ffff |
| 70 | 2c19:ec00:c8ae:4500::/56 | 2c19:ec00:c8ae:45ff:ffff:ffff:ffff:ffff |
| 71 | 2c19:ec00:c8ae:4600::/56 | 2c19:ec00:c8ae:46ff:ffff:ffff:ffff:ffff |
| 72 | 2c19:ec00:c8ae:4700::/56 | 2c19:ec00:c8ae:47ff:ffff:ffff:ffff:ffff |
| 73 | 2c19:ec00:c8ae:4800::/56 | 2c19:ec00:c8ae:48ff:ffff:ffff:ffff:ffff |
| 74 | 2c19:ec00:c8ae:4900::/56 | 2c19:ec00:c8ae:49ff:ffff:ffff:ffff:ffff |
| 75 | 2c19:ec00:c8ae:4a00::/56 | 2c19:ec00:c8ae:4aff:ffff:ffff:ffff:ffff |
| 76 | 2c19:ec00:c8ae:4b00::/56 | 2c19:ec00:c8ae:4bff:ffff:ffff:ffff:ffff |
| 77 | 2c19:ec00:c8ae:4c00::/56 | 2c19:ec00:c8ae:4cff:ffff:ffff:ffff:ffff |
| 78 | 2c19:ec00:c8ae:4d00::/56 | 2c19:ec00:c8ae:4dff:ffff:ffff:ffff:ffff |
| 79 | 2c19:ec00:c8ae:4e00::/56 | 2c19:ec00:c8ae:4eff:ffff:ffff:ffff:ffff |
| 80 | 2c19:ec00:c8ae:4f00::/56 | 2c19:ec00:c8ae:4fff:ffff:ffff:ffff:ffff |
| 81 | 2c19:ec00:c8ae:5000::/56 | 2c19:ec00:c8ae:50ff:ffff:ffff:ffff:ffff |
| 82 | 2c19:ec00:c8ae:5100::/56 | 2c19:ec00:c8ae:51ff:ffff:ffff:ffff:ffff |
| 83 | 2c19:ec00:c8ae:5200::/56 | 2c19:ec00:c8ae:52ff:ffff:ffff:ffff:ffff |
| 84 | 2c19:ec00:c8ae:5300::/56 | 2c19:ec00:c8ae:53ff:ffff:ffff:ffff:ffff |
| 85 | 2c19:ec00:c8ae:5400::/56 | 2c19:ec00:c8ae:54ff:ffff:ffff:ffff:ffff |
| 86 | 2c19:ec00:c8ae:5500::/56 | 2c19:ec00:c8ae:55ff:ffff:ffff:ffff:ffff |
| 87 | 2c19:ec00:c8ae:5600::/56 | 2c19:ec00:c8ae:56ff:ffff:ffff:ffff:ffff |
| 88 | 2c19:ec00:c8ae:5700::/56 | 2c19:ec00:c8ae:57ff:ffff:ffff:ffff:ffff |
| 89 | 2c19:ec00:c8ae:5800::/56 | 2c19:ec00:c8ae:58ff:ffff:ffff:ffff:ffff |
| 90 | 2c19:ec00:c8ae:5900::/56 | 2c19:ec00:c8ae:59ff:ffff:ffff:ffff:ffff |
| 91 | 2c19:ec00:c8ae:5a00::/56 | 2c19:ec00:c8ae:5aff:ffff:ffff:ffff:ffff |
| 92 | 2c19:ec00:c8ae:5b00::/56 | 2c19:ec00:c8ae:5bff:ffff:ffff:ffff:ffff |
| 93 | 2c19:ec00:c8ae:5c00::/56 | 2c19:ec00:c8ae:5cff:ffff:ffff:ffff:ffff |
| 94 | 2c19:ec00:c8ae:5d00::/56 | 2c19:ec00:c8ae:5dff:ffff:ffff:ffff:ffff |
| 95 | 2c19:ec00:c8ae:5e00::/56 | 2c19:ec00:c8ae:5eff:ffff:ffff:ffff:ffff |
| 96 | 2c19:ec00:c8ae:5f00::/56 | 2c19:ec00:c8ae:5fff:ffff:ffff:ffff:ffff |
| 97 | 2c19:ec00:c8ae:6000::/56 | 2c19:ec00:c8ae:60ff:ffff:ffff:ffff:ffff |
| 98 | 2c19:ec00:c8ae:6100::/56 | 2c19:ec00:c8ae:61ff:ffff:ffff:ffff:ffff |
| 99 | 2c19:ec00:c8ae:6200::/56 | 2c19:ec00:c8ae:62ff:ffff:ffff:ffff:ffff |
| 100 | 2c19:ec00:c8ae:6300::/56 | 2c19:ec00:c8ae:63ff:ffff:ffff:ffff:ffff |
| 101 | 2c19:ec00:c8ae:6400::/56 | 2c19:ec00:c8ae:64ff:ffff:ffff:ffff:ffff |
| 102 | 2c19:ec00:c8ae:6500::/56 | 2c19:ec00:c8ae:65ff:ffff:ffff:ffff:ffff |
| 103 | 2c19:ec00:c8ae:6600::/56 | 2c19:ec00:c8ae:66ff:ffff:ffff:ffff:ffff |
| 104 | 2c19:ec00:c8ae:6700::/56 | 2c19:ec00:c8ae:67ff:ffff:ffff:ffff:ffff |
| 105 | 2c19:ec00:c8ae:6800::/56 | 2c19:ec00:c8ae:68ff:ffff:ffff:ffff:ffff |
| 106 | 2c19:ec00:c8ae:6900::/56 | 2c19:ec00:c8ae:69ff:ffff:ffff:ffff:ffff |
| 107 | 2c19:ec00:c8ae:6a00::/56 | 2c19:ec00:c8ae:6aff:ffff:ffff:ffff:ffff |
| 108 | 2c19:ec00:c8ae:6b00::/56 | 2c19:ec00:c8ae:6bff:ffff:ffff:ffff:ffff |
| 109 | 2c19:ec00:c8ae:6c00::/56 | 2c19:ec00:c8ae:6cff:ffff:ffff:ffff:ffff |
| 110 | 2c19:ec00:c8ae:6d00::/56 | 2c19:ec00:c8ae:6dff:ffff:ffff:ffff:ffff |
| 111 | 2c19:ec00:c8ae:6e00::/56 | 2c19:ec00:c8ae:6eff:ffff:ffff:ffff:ffff |
| 112 | 2c19:ec00:c8ae:6f00::/56 | 2c19:ec00:c8ae:6fff:ffff:ffff:ffff:ffff |
| 113 | 2c19:ec00:c8ae:7000::/56 | 2c19:ec00:c8ae:70ff:ffff:ffff:ffff:ffff |
| 114 | 2c19:ec00:c8ae:7100::/56 | 2c19:ec00:c8ae:71ff:ffff:ffff:ffff:ffff |
| 115 | 2c19:ec00:c8ae:7200::/56 | 2c19:ec00:c8ae:72ff:ffff:ffff:ffff:ffff |
| 116 | 2c19:ec00:c8ae:7300::/56 | 2c19:ec00:c8ae:73ff:ffff:ffff:ffff:ffff |
| 117 | 2c19:ec00:c8ae:7400::/56 | 2c19:ec00:c8ae:74ff:ffff:ffff:ffff:ffff |
| 118 | 2c19:ec00:c8ae:7500::/56 | 2c19:ec00:c8ae:75ff:ffff:ffff:ffff:ffff |
| 119 | 2c19:ec00:c8ae:7600::/56 | 2c19:ec00:c8ae:76ff:ffff:ffff:ffff:ffff |
| 120 | 2c19:ec00:c8ae:7700::/56 | 2c19:ec00:c8ae:77ff:ffff:ffff:ffff:ffff |
| 121 | 2c19:ec00:c8ae:7800::/56 | 2c19:ec00:c8ae:78ff:ffff:ffff:ffff:ffff |
| 122 | 2c19:ec00:c8ae:7900::/56 | 2c19:ec00:c8ae:79ff:ffff:ffff:ffff:ffff |
| 123 | 2c19:ec00:c8ae:7a00::/56 | 2c19:ec00:c8ae:7aff:ffff:ffff:ffff:ffff |
| 124 | 2c19:ec00:c8ae:7b00::/56 | 2c19:ec00:c8ae:7bff:ffff:ffff:ffff:ffff |
| 125 | 2c19:ec00:c8ae:7c00::/56 | 2c19:ec00:c8ae:7cff:ffff:ffff:ffff:ffff |
| 126 | 2c19:ec00:c8ae:7d00::/56 | 2c19:ec00:c8ae:7dff:ffff:ffff:ffff:ffff |
| 127 | 2c19:ec00:c8ae:7e00::/56 | 2c19:ec00:c8ae:7eff:ffff:ffff:ffff:ffff |
| 128 | 2c19:ec00:c8ae:7f00::/56 | 2c19:ec00:c8ae:7fff:ffff:ffff:ffff:ffff |
| 129 | 2c19:ec00:c8ae:8000::/56 | 2c19:ec00:c8ae:80ff:ffff:ffff:ffff:ffff |
| 130 | 2c19:ec00:c8ae:8100::/56 | 2c19:ec00:c8ae:81ff:ffff:ffff:ffff:ffff |
| 131 | 2c19:ec00:c8ae:8200::/56 | 2c19:ec00:c8ae:82ff:ffff:ffff:ffff:ffff |
| 132 | 2c19:ec00:c8ae:8300::/56 | 2c19:ec00:c8ae:83ff:ffff:ffff:ffff:ffff |
| 133 | 2c19:ec00:c8ae:8400::/56 | 2c19:ec00:c8ae:84ff:ffff:ffff:ffff:ffff |
| 134 | 2c19:ec00:c8ae:8500::/56 | 2c19:ec00:c8ae:85ff:ffff:ffff:ffff:ffff |
| 135 | 2c19:ec00:c8ae:8600::/56 | 2c19:ec00:c8ae:86ff:ffff:ffff:ffff:ffff |
| 136 | 2c19:ec00:c8ae:8700::/56 | 2c19:ec00:c8ae:87ff:ffff:ffff:ffff:ffff |
| 137 | 2c19:ec00:c8ae:8800::/56 | 2c19:ec00:c8ae:88ff:ffff:ffff:ffff:ffff |
| 138 | 2c19:ec00:c8ae:8900::/56 | 2c19:ec00:c8ae:89ff:ffff:ffff:ffff:ffff |
| 139 | 2c19:ec00:c8ae:8a00::/56 | 2c19:ec00:c8ae:8aff:ffff:ffff:ffff:ffff |
| 140 | 2c19:ec00:c8ae:8b00::/56 | 2c19:ec00:c8ae:8bff:ffff:ffff:ffff:ffff |
| 141 | 2c19:ec00:c8ae:8c00::/56 | 2c19:ec00:c8ae:8cff:ffff:ffff:ffff:ffff |
| 142 | 2c19:ec00:c8ae:8d00::/56 | 2c19:ec00:c8ae:8dff:ffff:ffff:ffff:ffff |
| 143 | 2c19:ec00:c8ae:8e00::/56 | 2c19:ec00:c8ae:8eff:ffff:ffff:ffff:ffff |
| 144 | 2c19:ec00:c8ae:8f00::/56 | 2c19:ec00:c8ae:8fff:ffff:ffff:ffff:ffff |
| 145 | 2c19:ec00:c8ae:9000::/56 | 2c19:ec00:c8ae:90ff:ffff:ffff:ffff:ffff |
| 146 | 2c19:ec00:c8ae:9100::/56 | 2c19:ec00:c8ae:91ff:ffff:ffff:ffff:ffff |
| 147 | 2c19:ec00:c8ae:9200::/56 | 2c19:ec00:c8ae:92ff:ffff:ffff:ffff:ffff |
| 148 | 2c19:ec00:c8ae:9300::/56 | 2c19:ec00:c8ae:93ff:ffff:ffff:ffff:ffff |
| 149 | 2c19:ec00:c8ae:9400::/56 | 2c19:ec00:c8ae:94ff:ffff:ffff:ffff:ffff |
| 150 | 2c19:ec00:c8ae:9500::/56 | 2c19:ec00:c8ae:95ff:ffff:ffff:ffff:ffff |
| 151 | 2c19:ec00:c8ae:9600::/56 | 2c19:ec00:c8ae:96ff:ffff:ffff:ffff:ffff |
| 152 | 2c19:ec00:c8ae:9700::/56 | 2c19:ec00:c8ae:97ff:ffff:ffff:ffff:ffff |
| 153 | 2c19:ec00:c8ae:9800::/56 | 2c19:ec00:c8ae:98ff:ffff:ffff:ffff:ffff |
| 154 | 2c19:ec00:c8ae:9900::/56 | 2c19:ec00:c8ae:99ff:ffff:ffff:ffff:ffff |
| 155 | 2c19:ec00:c8ae:9a00::/56 | 2c19:ec00:c8ae:9aff:ffff:ffff:ffff:ffff |
| 156 | 2c19:ec00:c8ae:9b00::/56 | 2c19:ec00:c8ae:9bff:ffff:ffff:ffff:ffff |
| 157 | 2c19:ec00:c8ae:9c00::/56 | 2c19:ec00:c8ae:9cff:ffff:ffff:ffff:ffff |
| 158 | 2c19:ec00:c8ae:9d00::/56 | 2c19:ec00:c8ae:9dff:ffff:ffff:ffff:ffff |
| 159 | 2c19:ec00:c8ae:9e00::/56 | 2c19:ec00:c8ae:9eff:ffff:ffff:ffff:ffff |
| 160 | 2c19:ec00:c8ae:9f00::/56 | 2c19:ec00:c8ae:9fff:ffff:ffff:ffff:ffff |
| 161 | 2c19:ec00:c8ae:a000::/56 | 2c19:ec00:c8ae:a0ff:ffff:ffff:ffff:ffff |
| 162 | 2c19:ec00:c8ae:a100::/56 | 2c19:ec00:c8ae:a1ff:ffff:ffff:ffff:ffff |
| 163 | 2c19:ec00:c8ae:a200::/56 | 2c19:ec00:c8ae:a2ff:ffff:ffff:ffff:ffff |
| 164 | 2c19:ec00:c8ae:a300::/56 | 2c19:ec00:c8ae:a3ff:ffff:ffff:ffff:ffff |
| 165 | 2c19:ec00:c8ae:a400::/56 | 2c19:ec00:c8ae:a4ff:ffff:ffff:ffff:ffff |
| 166 | 2c19:ec00:c8ae:a500::/56 | 2c19:ec00:c8ae:a5ff:ffff:ffff:ffff:ffff |
| 167 | 2c19:ec00:c8ae:a600::/56 | 2c19:ec00:c8ae:a6ff:ffff:ffff:ffff:ffff |
| 168 | 2c19:ec00:c8ae:a700::/56 | 2c19:ec00:c8ae:a7ff:ffff:ffff:ffff:ffff |
| 169 | 2c19:ec00:c8ae:a800::/56 | 2c19:ec00:c8ae:a8ff:ffff:ffff:ffff:ffff |
| 170 | 2c19:ec00:c8ae:a900::/56 | 2c19:ec00:c8ae:a9ff:ffff:ffff:ffff:ffff |
| 171 | 2c19:ec00:c8ae:aa00::/56 | 2c19:ec00:c8ae:aaff:ffff:ffff:ffff:ffff |
| 172 | 2c19:ec00:c8ae:ab00::/56 | 2c19:ec00:c8ae:abff:ffff:ffff:ffff:ffff |
| 173 | 2c19:ec00:c8ae:ac00::/56 | 2c19:ec00:c8ae:acff:ffff:ffff:ffff:ffff |
| 174 | 2c19:ec00:c8ae:ad00::/56 | 2c19:ec00:c8ae:adff:ffff:ffff:ffff:ffff |
| 175 | 2c19:ec00:c8ae:ae00::/56 | 2c19:ec00:c8ae:aeff:ffff:ffff:ffff:ffff |
| 176 | 2c19:ec00:c8ae:af00::/56 | 2c19:ec00:c8ae:afff:ffff:ffff:ffff:ffff |
| 177 | 2c19:ec00:c8ae:b000::/56 | 2c19:ec00:c8ae:b0ff:ffff:ffff:ffff:ffff |
| 178 | 2c19:ec00:c8ae:b100::/56 | 2c19:ec00:c8ae:b1ff:ffff:ffff:ffff:ffff |
| 179 | 2c19:ec00:c8ae:b200::/56 | 2c19:ec00:c8ae:b2ff:ffff:ffff:ffff:ffff |
| 180 | 2c19:ec00:c8ae:b300::/56 | 2c19:ec00:c8ae:b3ff:ffff:ffff:ffff:ffff |
| 181 | 2c19:ec00:c8ae:b400::/56 | 2c19:ec00:c8ae:b4ff:ffff:ffff:ffff:ffff |
| 182 | 2c19:ec00:c8ae:b500::/56 | 2c19:ec00:c8ae:b5ff:ffff:ffff:ffff:ffff |
| 183 | 2c19:ec00:c8ae:b600::/56 | 2c19:ec00:c8ae:b6ff:ffff:ffff:ffff:ffff |
| 184 | 2c19:ec00:c8ae:b700::/56 | 2c19:ec00:c8ae:b7ff:ffff:ffff:ffff:ffff |
| 185 | 2c19:ec00:c8ae:b800::/56 | 2c19:ec00:c8ae:b8ff:ffff:ffff:ffff:ffff |
| 186 | 2c19:ec00:c8ae:b900::/56 | 2c19:ec00:c8ae:b9ff:ffff:ffff:ffff:ffff |
| 187 | 2c19:ec00:c8ae:ba00::/56 | 2c19:ec00:c8ae:baff:ffff:ffff:ffff:ffff |
| 188 | 2c19:ec00:c8ae:bb00::/56 | 2c19:ec00:c8ae:bbff:ffff:ffff:ffff:ffff |
| 189 | 2c19:ec00:c8ae:bc00::/56 | 2c19:ec00:c8ae:bcff:ffff:ffff:ffff:ffff |
| 190 | 2c19:ec00:c8ae:bd00::/56 | 2c19:ec00:c8ae:bdff:ffff:ffff:ffff:ffff |
| 191 | 2c19:ec00:c8ae:be00::/56 | 2c19:ec00:c8ae:beff:ffff:ffff:ffff:ffff |
| 192 | 2c19:ec00:c8ae:bf00::/56 | 2c19:ec00:c8ae:bfff:ffff:ffff:ffff:ffff |
| 193 | 2c19:ec00:c8ae:c000::/56 | 2c19:ec00:c8ae:c0ff:ffff:ffff:ffff:ffff |
| 194 | 2c19:ec00:c8ae:c100::/56 | 2c19:ec00:c8ae:c1ff:ffff:ffff:ffff:ffff |
| 195 | 2c19:ec00:c8ae:c200::/56 | 2c19:ec00:c8ae:c2ff:ffff:ffff:ffff:ffff |
| 196 | 2c19:ec00:c8ae:c300::/56 | 2c19:ec00:c8ae:c3ff:ffff:ffff:ffff:ffff |
| 197 | 2c19:ec00:c8ae:c400::/56 | 2c19:ec00:c8ae:c4ff:ffff:ffff:ffff:ffff |
| 198 | 2c19:ec00:c8ae:c500::/56 | 2c19:ec00:c8ae:c5ff:ffff:ffff:ffff:ffff |
| 199 | 2c19:ec00:c8ae:c600::/56 | 2c19:ec00:c8ae:c6ff:ffff:ffff:ffff:ffff |
| 200 | 2c19:ec00:c8ae:c700::/56 | 2c19:ec00:c8ae:c7ff:ffff:ffff:ffff:ffff |
| 201 | 2c19:ec00:c8ae:c800::/56 | 2c19:ec00:c8ae:c8ff:ffff:ffff:ffff:ffff |
| 202 | 2c19:ec00:c8ae:c900::/56 | 2c19:ec00:c8ae:c9ff:ffff:ffff:ffff:ffff |
| 203 | 2c19:ec00:c8ae:ca00::/56 | 2c19:ec00:c8ae:caff:ffff:ffff:ffff:ffff |
| 204 | 2c19:ec00:c8ae:cb00::/56 | 2c19:ec00:c8ae:cbff:ffff:ffff:ffff:ffff |
| 205 | 2c19:ec00:c8ae:cc00::/56 | 2c19:ec00:c8ae:ccff:ffff:ffff:ffff:ffff |
| 206 | 2c19:ec00:c8ae:cd00::/56 | 2c19:ec00:c8ae:cdff:ffff:ffff:ffff:ffff |
| 207 | 2c19:ec00:c8ae:ce00::/56 | 2c19:ec00:c8ae:ceff:ffff:ffff:ffff:ffff |
| 208 | 2c19:ec00:c8ae:cf00::/56 | 2c19:ec00:c8ae:cfff:ffff:ffff:ffff:ffff |
| 209 | 2c19:ec00:c8ae:d000::/56 | 2c19:ec00:c8ae:d0ff:ffff:ffff:ffff:ffff |
| 210 | 2c19:ec00:c8ae:d100::/56 | 2c19:ec00:c8ae:d1ff:ffff:ffff:ffff:ffff |
| 211 | 2c19:ec00:c8ae:d200::/56 | 2c19:ec00:c8ae:d2ff:ffff:ffff:ffff:ffff |
| 212 | 2c19:ec00:c8ae:d300::/56 | 2c19:ec00:c8ae:d3ff:ffff:ffff:ffff:ffff |
| 213 | 2c19:ec00:c8ae:d400::/56 | 2c19:ec00:c8ae:d4ff:ffff:ffff:ffff:ffff |
| 214 | 2c19:ec00:c8ae:d500::/56 | 2c19:ec00:c8ae:d5ff:ffff:ffff:ffff:ffff |
| 215 | 2c19:ec00:c8ae:d600::/56 | 2c19:ec00:c8ae:d6ff:ffff:ffff:ffff:ffff |
| 216 | 2c19:ec00:c8ae:d700::/56 | 2c19:ec00:c8ae:d7ff:ffff:ffff:ffff:ffff |
| 217 | 2c19:ec00:c8ae:d800::/56 | 2c19:ec00:c8ae:d8ff:ffff:ffff:ffff:ffff |
| 218 | 2c19:ec00:c8ae:d900::/56 | 2c19:ec00:c8ae:d9ff:ffff:ffff:ffff:ffff |
| 219 | 2c19:ec00:c8ae:da00::/56 | 2c19:ec00:c8ae:daff:ffff:ffff:ffff:ffff |
| 220 | 2c19:ec00:c8ae:db00::/56 | 2c19:ec00:c8ae:dbff:ffff:ffff:ffff:ffff |
| 221 | 2c19:ec00:c8ae:dc00::/56 | 2c19:ec00:c8ae:dcff:ffff:ffff:ffff:ffff |
| 222 | 2c19:ec00:c8ae:dd00::/56 | 2c19:ec00:c8ae:ddff:ffff:ffff:ffff:ffff |
| 223 | 2c19:ec00:c8ae:de00::/56 | 2c19:ec00:c8ae:deff:ffff:ffff:ffff:ffff |
| 224 | 2c19:ec00:c8ae:df00::/56 | 2c19:ec00:c8ae:dfff:ffff:ffff:ffff:ffff |
| 225 | 2c19:ec00:c8ae:e000::/56 | 2c19:ec00:c8ae:e0ff:ffff:ffff:ffff:ffff |
| 226 | 2c19:ec00:c8ae:e100::/56 | 2c19:ec00:c8ae:e1ff:ffff:ffff:ffff:ffff |
| 227 | 2c19:ec00:c8ae:e200::/56 | 2c19:ec00:c8ae:e2ff:ffff:ffff:ffff:ffff |
| 228 | 2c19:ec00:c8ae:e300::/56 | 2c19:ec00:c8ae:e3ff:ffff:ffff:ffff:ffff |
| 229 | 2c19:ec00:c8ae:e400::/56 | 2c19:ec00:c8ae:e4ff:ffff:ffff:ffff:ffff |
| 230 | 2c19:ec00:c8ae:e500::/56 | 2c19:ec00:c8ae:e5ff:ffff:ffff:ffff:ffff |
| 231 | 2c19:ec00:c8ae:e600::/56 | 2c19:ec00:c8ae:e6ff:ffff:ffff:ffff:ffff |
| 232 | 2c19:ec00:c8ae:e700::/56 | 2c19:ec00:c8ae:e7ff:ffff:ffff:ffff:ffff |
| 233 | 2c19:ec00:c8ae:e800::/56 | 2c19:ec00:c8ae:e8ff:ffff:ffff:ffff:ffff |
| 234 | 2c19:ec00:c8ae:e900::/56 | 2c19:ec00:c8ae:e9ff:ffff:ffff:ffff:ffff |
| 235 | 2c19:ec00:c8ae:ea00::/56 | 2c19:ec00:c8ae:eaff:ffff:ffff:ffff:ffff |
| 236 | 2c19:ec00:c8ae:eb00::/56 | 2c19:ec00:c8ae:ebff:ffff:ffff:ffff:ffff |
| 237 | 2c19:ec00:c8ae:ec00::/56 | 2c19:ec00:c8ae:ecff:ffff:ffff:ffff:ffff |
| 238 | 2c19:ec00:c8ae:ed00::/56 | 2c19:ec00:c8ae:edff:ffff:ffff:ffff:ffff |
| 239 | 2c19:ec00:c8ae:ee00::/56 | 2c19:ec00:c8ae:eeff:ffff:ffff:ffff:ffff |
| 240 | 2c19:ec00:c8ae:ef00::/56 | 2c19:ec00:c8ae:efff:ffff:ffff:ffff:ffff |
| 241 | 2c19:ec00:c8ae:f000::/56 | 2c19:ec00:c8ae:f0ff:ffff:ffff:ffff:ffff |
| 242 | 2c19:ec00:c8ae:f100::/56 | 2c19:ec00:c8ae:f1ff:ffff:ffff:ffff:ffff |
| 243 | 2c19:ec00:c8ae:f200::/56 | 2c19:ec00:c8ae:f2ff:ffff:ffff:ffff:ffff |
| 244 | 2c19:ec00:c8ae:f300::/56 | 2c19:ec00:c8ae:f3ff:ffff:ffff:ffff:ffff |
| 245 | 2c19:ec00:c8ae:f400::/56 | 2c19:ec00:c8ae:f4ff:ffff:ffff:ffff:ffff |
| 246 | 2c19:ec00:c8ae:f500::/56 | 2c19:ec00:c8ae:f5ff:ffff:ffff:ffff:ffff |
| 247 | 2c19:ec00:c8ae:f600::/56 | 2c19:ec00:c8ae:f6ff:ffff:ffff:ffff:ffff |
| 248 | 2c19:ec00:c8ae:f700::/56 | 2c19:ec00:c8ae:f7ff:ffff:ffff:ffff:ffff |
| 249 | 2c19:ec00:c8ae:f800::/56 | 2c19:ec00:c8ae:f8ff:ffff:ffff:ffff:ffff |
| 250 | 2c19:ec00:c8ae:f900::/56 | 2c19:ec00:c8ae:f9ff:ffff:ffff:ffff:ffff |
| 251 | 2c19:ec00:c8ae:fa00::/56 | 2c19:ec00:c8ae:faff:ffff:ffff:ffff:ffff |
| 252 | 2c19:ec00:c8ae:fb00::/56 | 2c19:ec00:c8ae:fbff:ffff:ffff:ffff:ffff |
| 253 | 2c19:ec00:c8ae:fc00::/56 | 2c19:ec00:c8ae:fcff:ffff:ffff:ffff:ffff |
| 254 | 2c19:ec00:c8ae:fd00::/56 | 2c19:ec00:c8ae:fdff:ffff:ffff:ffff:ffff |
| 255 | 2c19:ec00:c8ae:fe00::/56 | 2c19:ec00:c8ae:feff:ffff:ffff:ffff:ffff |
| 256 | 2c19:ec00:c8ae:ff00::/56 | 2c19:ec00:c8ae:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |